var table;
var laydate;
var form;
layui.use(['table', 'layer', 'laydate', 'jquery', 'form'], function () {
    table = layui.table;
    laydate = layui.laydate;
    form = layui.form;
    //渲染table
    table.render({
        elem: '#demo'
        , url: ctxPath + '/type/getStatisticalGroup' //数据接口
        , method: 'post' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {'dataYear':getNowTime().substring(0,4),'keyWord':''} //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {
                field: 'number', width:80,title: '序号', align: 'center', type: 'numbers'
            }
            , {field: 'teamName',width:200, align: 'center', title: '单位'}
            , {field: 'illnessName', width:200,align: 'center', title: '疾病'}
            , {field: 'allNum', width: 150, align: 'center', title: '单位总人数'}
            , {field: 'thisNum', width: 220, align: 'center', title: '本次数据统计人数'}
            , {field: 'fortyCJDown', width: 240, align: 'center', title: '其中40岁以下参检人数'}
            , {field: 'fortyUp', width: 220, align: 'center', title: '其中40岁以上人数'}
            , {field: 'abnormalNum', width: 220, align: 'center', title: '异常情况检出人数'}
            , {field: 'fortyJCDown', width: 220, align: 'center', title: '40岁以下检出人数'}
            , {field: 'fortyJCUp', width: 220, align: 'center', title: '40岁以上检出人数'}
            , {field: 'totalDetectionRate', width: 150, align: 'center', title: '总检出率(%)'}
        ]]
        , id: 'menuTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [ 10, 20, 50]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        },

        toolbar: "#toolbar"
    });

    //头监听事件 -- checkBox 选中行和选中条数
    table.on('toolbar(test)', function (obj) {
        // 获取当前表格被选中的记录对象，返回数据
        var checkStatus = table.checkStatus(obj.config.id);
        var dataYear  = $("#dataYear").val();
        var keyWord = $("#keyWord").val();
        //获取事件名，执行对应的代码
        var eventName = obj.event;
        switch (eventName) {
            case "searchBt":
                table.reload('menuTable', {
                    url: ctxPath + '/type/getStatisticalGroup'
                    , method: 'post' //方式默认是get
                    , page: true
                    , where: {
                        dataYear:dataYear,
                        'keyWord':$("#keyWord").val()
                    } //设定异步数据接口的额外参数
                });
                getTime();
                $("#dataYear").val(dataYear);
                getPositiveDisease(form,keyWord,"keyWord","");
                /**二次赋值-- 点击搜索按钮之后会进行一次刷新操作*/
                break;
        }
    });
    getTime();
    getPositiveDisease(form,null,"keyWord","");
});

function getTime() {
    laydate.render({
        elem: '#dataYear',
        type: 'year',
        value: getNowTime().substring(0,4)
    });
}